Summary:	Toolchain to create panoramic images
Summary(pl.UTF-8):	Zestaw narzędzi do tworzenia panoramicznych zdjęć
Name:		hugin
Version:	2019.0.0
Release:	5
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	http://downloads.sourceforge.net/hugin/%{name}-%{version}.tar.bz2
# Source0-md5:	4ca039f96bfc592c4adcebe27b98fee3
Patch1:		%{name}-cppflags.patch
Patch3:		python-install.patch
Patch4:		exiv2-0.27.patch
URL:		http://hugin.sourceforge.net/
BuildRequires:	OpenEXR-devel
BuildRequires:	OpenGL-glut-devel
BuildRequires:	ZThread-devel
BuildRequires:	boost-devel >= 1.41.0
BuildRequires:	cmake >= 2.8
BuildRequires:	exiv2-devel
BuildRequires:	flann-devel
BuildRequires:	gettext-tools
BuildRequires:	glew-devel
BuildRequires:	gtk+2-devel >= 1:2.0.3
BuildRequires:	lensfun-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpano13-devel >= 2.9.19
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	perl-Image-ExifTool
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpmbuild(macros) >= 1.471
BuildRequires:	sed >= 4.0
BuildRequires:	swig-python >= 2.0.4
BuildRequires:	tclap
BuildRequires:	vigra-devel
BuildRequires:	wxGTK2-unicode-devel >= 2.8.10
BuildRequires:	wxGTK2-unicode-gl-devel >= 2.8.10
BuildRequires:	zlib-devel
Requires:	libpano13 >= 2.9.19
Requires:	wxGTK2-unicode >= 2.8.10
Requires:	wxGTK2-unicode-gl >= 2.8.10
Suggests:	enblend-enfuse >= 3.1
# exiftool program
Suggests:	perl-Image-ExifTool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
With hugin you can assemble a mosaic of photographs into a complete
immensive panorama, stitch any series of overlapping pictures and much
more.

Note: Hugin can use enblend and enfuse for soft blending/fusing, so
you'll probably to install enblend-enfuse package too.

%description -l pl.UTF-8
Przy użyciu hugina można połączyć wiele fotografii w kompletną, dużą
panoramę, skleić dowolny ciąg nakładających się zdjęć i wiele więcej.

Hugin może używać programów enblend i enfuse do wygładzania krawędzi
i ekspozycji, więc warto zainstalować pakiet enblend-enfuse.

%prep
%setup -q
%patch1 -p0
%patch3 -p1
%patch4 -p1

mv -f src/translations/{cs_CZ,cs}.po

%{__sed} -i -e '1s,#! \?/usr/bin/env python,#!/usr/bin/python,' \
	src/hugin_script_interface/hpi.py \
	src/hugin_script_interface/plugins/*.py \
	src/hugin_script_interface/plugins-dev/*.py

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_BUILD_TYPE=%{?debug:Debug}%{!?debug:None} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DBUILD_HSI:BOOL=ON \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	-DwxWidgets_CONFIG_EXECUTABLE=%{_bindir}/wx-gtk2-unicode-config

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# cmake is so great there is no way to pass proper path
%{__mv} $RPM_BUILD_ROOT%{_iconsdir}/{gnome,hicolor}

%{__rm} $RPM_BUILD_ROOT%{_iconsdir}/hicolor/gnome/*x*/mimetypes/gnome-mime-application-x-ptoptimizer-script.png

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ca_ES*

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS Changes.txt README TODO src/celeste/LICENCE_{GABOR,LIBSVM}
%attr(755,root,root) %{_bindir}/PTBatcherGUI
%attr(755,root,root) %{_bindir}/align_image_stack
%attr(755,root,root) %{_bindir}/autooptimiser
%attr(755,root,root) %{_bindir}/calibrate_lens_gui
%attr(755,root,root) %{_bindir}/celeste_standalone
%attr(755,root,root) %{_bindir}/checkpto
%attr(755,root,root) %{_bindir}/cpclean
%attr(755,root,root) %{_bindir}/cpfind
%attr(755,root,root) %{_bindir}/deghosting_mask
%attr(755,root,root) %{_bindir}/fulla
%attr(755,root,root) %{_bindir}/geocpset
%attr(755,root,root) %{_bindir}/hugin
%attr(755,root,root) %{_bindir}/hugin_executor
%attr(755,root,root) %{_bindir}/hugin_hdrmerge
%attr(755,root,root) %{_bindir}/hugin_lensdb
%attr(755,root,root) %{_bindir}/hugin_stacker
%attr(755,root,root) %{_bindir}/hugin_stitch_project
%attr(755,root,root) %{_bindir}/icpfind
%attr(755,root,root) %{_bindir}/linefind
%attr(755,root,root) %{_bindir}/nona
%attr(755,root,root) %{_bindir}/pano_modify
%attr(755,root,root) %{_bindir}/pano_trafo
%attr(755,root,root) %{_bindir}/pto_gen
%attr(755,root,root) %{_bindir}/pto_lensstack
%attr(755,root,root) %{_bindir}/pto_mask
%attr(755,root,root) %{_bindir}/pto_merge
%attr(755,root,root) %{_bindir}/pto_move
%attr(755,root,root) %{_bindir}/pto_template
%attr(755,root,root) %{_bindir}/pto_var
%attr(755,root,root) %{_bindir}/tca_correct
%attr(755,root,root) %{_bindir}/verdandi
%attr(755,root,root) %{_bindir}/vig_optimize
%dir %{_libdir}/hugin
%attr(755,root,root) %{_libdir}/hugin/libceleste.so.*.*
%attr(755,root,root) %{_libdir}/hugin/libhuginbase.so.*.*
%attr(755,root,root) %{_libdir}/hugin/libhuginbasewx.so.*.*
%attr(755,root,root) %{_libdir}/hugin/libicpfindlib.so.*.*
%attr(755,root,root) %{_libdir}/hugin/liblocalfeatures.so.*.*
%attr(755,root,root) %{_libdir}/hugin/libhugin_python_interface.so.*.*
%attr(755,root,root) %{py_sitedir}/_hsi.so
%{py_sitedir}/hpi.py*
%{py_sitedir}/hsi.py*
%{_datadir}/%{name}
%{_datadir}/appdata/PTBatcherGUI.appdata.xml
%{_datadir}/appdata/calibrate_lens_gui.appdata.xml
%{_datadir}/appdata/hugin.appdata.xml
%{_datadir}/mime/packages/hugin.xml
%{_desktopdir}/hugin.desktop
%{_desktopdir}/pto_gen.desktop
%{_desktopdir}/PTBatcherGUI.desktop
%{_desktopdir}/calibrate_lens_gui.desktop
%{_iconsdir}/hicolor/*x*/apps/hugin.png
%{_iconsdir}/hicolor/*x*/apps/ptbatcher.png
%{_iconsdir}/hicolor/scalable/apps/hugin.svg
%{_iconsdir}/hicolor/scalable/apps/ptbatcher.svg
%{_mandir}/man1/PTBatcherGUI.1*
%{_mandir}/man1/align_image_stack.1*
%{_mandir}/man1/autooptimiser.1*
%{_mandir}/man1/calibrate_lens_gui.1*
%{_mandir}/man1/celeste_standalone.1*
%{_mandir}/man1/checkpto.1*
%{_mandir}/man1/cpclean.1*
%{_mandir}/man1/cpfind.1*
%{_mandir}/man1/deghosting_mask.1*
%{_mandir}/man1/fulla.1*
%{_mandir}/man1/geocpset.1*
%{_mandir}/man1/hugin.1*
%{_mandir}/man1/hugin_executor.1*
%{_mandir}/man1/hugin_hdrmerge.1*
%{_mandir}/man1/hugin_lensdb.1*
%{_mandir}/man1/hugin_stitch_project.1*
%{_mandir}/man1/icpfind.1*
%{_mandir}/man1/linefind.1*
%{_mandir}/man1/nona.1*
%{_mandir}/man1/pano_modify.1*
%{_mandir}/man1/pano_trafo.1*
%{_mandir}/man1/pto_gen.1*
%{_mandir}/man1/pto_lensstack.1*
%{_mandir}/man1/pto_merge.1*
%{_mandir}/man1/pto_mask.1*
%{_mandir}/man1/pto_move.1*
%{_mandir}/man1/pto_template.1*
%{_mandir}/man1/pto_var.1*
%{_mandir}/man1/tca_correct.1*
%{_mandir}/man1/vig_optimize.1*
%{_mandir}/man1/verdandi.1*
%changelog
* Sat Oct 12 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hugin.git;a=log;h=master

* Sat Oct 12 2019 Adam Gołębiowski <adamg@pld-linux.org> ccec3e1
- release 5, rebuild against boost-1.71

* Sat Oct 12 2019 Adam Gołębiowski <adamg@pld-linux.org> ce06bd9
- one more exiv2-0.27 fix

* Fri May 10 2019 Jan Rękorajski <baggins@pld-linux.org> 65b77a9
- release 4 (by relup.sh)

* Mon Apr 15 2019 Jan Rękorajski <baggins@pld-linux.org> 8e10e47
- icu/boost rebuild
- release 3 (by relup.sh)

* Sun Apr 07 2019 Jan Rękorajski <baggins@pld-linux.org> ab8d6b5
- remove bogus icon
- rel 2

* Sun Apr 07 2019 Jan Rękorajski <baggins@pld-linux.org> 01c80f2
- updated to 2019.0.0

* Wed Feb 13 2019 Jan Rękorajski <baggins@pld-linux.org> 77e97ce
- make sure python interface is built, fixed files

* Wed Feb 13 2019 Jan Rękorajski <baggins@pld-linux.org> da66584
- up to 2018.0.0

* Wed Feb 13 2019 Jan Rękorajski <baggins@pld-linux.org> 0811744
- up to 2018.0.0

* Mon Sep 25 2017 Jan Rękorajski <baggins@pld-linux.org> 1617fad
- rebuild with exiv2 0.26
- release 6 (by relup.sh)

* Sun Jul 02 2017 Jan Rękorajski <baggins@pld-linux.org> c3c3e3f
- release 5 (by relup.sh)

* Sat May 27 2017 Jan Rękorajski <baggins@pld-linux.org> bbeabea
- updated BRs
- rel 4

* Sun Apr 09 2017 Jan Rękorajski <baggins@pld-linux.org> 0952f30
- rebuild with boost 1.63.0
- release 3 (by relup.sh)

* Sun Sep 11 2016 Jan Rękorajski <baggins@pld-linux.org> 782a4eb
- removed bogus locale
- rel 2

* Sun Sep 11 2016 Jan Rękorajski <baggins@pld-linux.org> 8d0a3a9
- updated to 2016.0.0

* Tue May 17 2016 Jan Rękorajski <baggins@pld-linux.org> fb3b764
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 4893e13
- release 8 (by relup.sh)

* Sat Dec 19 2015 Jan Rękorajski <baggins@pld-linux.org> 9085f61
- release 7 (by relup.sh)

* Fri Dec 18 2015 Jan Rękorajski <baggins@pld-linux.org> cb07e41
- fix python install
- rel 6

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 701525a
- release 5 (by relup.sh)

